# Source0 URL https://github.com/OpenMusicKontrollers/lv2lint/archive/refs/tags/0.16.2.tar.gz
Name:          lv2lint
Version:       0.16.2
Release:       %mkrel 2
Summary:       lv2lint  checks whether a given LV2 plugin is up to the specification 
Group:         Sound/Midi
License:       GPLv3
URL:           https://libreav.org/software/%{name}
Source0:       %{name}-%{version}.tar.gz


BuildRequires: pkgconfig(lv2)
BuildRequires: lilv-devel
BuildRequires: meson

%description
An LV2 lint-like tool that checks whether a given plugin and its UI(s) match up with the provided metadata 
and adhere to well-known best practices. 
Run it as part of your continuous integration pipeline together with lv2/sord_validate 
to reduce the likelihood of shipping plugins with major flaws in order to prevent unsatisfied users.

%prep
%autosetup 


%build
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/*
%{_mandir}/man1/%{name}.1.*



%changelog
* Thu Dec 22 2022 philippedidier <philippedidier> 0.16.2-2.mga9
+ Revision: 1925753
- -imported to build some lv2-plugins -clean spec file
- imported package lv2lint

